Subject: Re: [PATCH v2 net-next 5/5] drivers/net/phy: add driver for the onsemi NCN26000 10BASE-T1S PHY

From: Piergiorgio Beruto <[email-masked]>
Date: Mon, 9 Jan 2023 18:12:54 +0100

On Mon, Jan 09, 2023 at 03:24:26PM +0100, Andrew Lunn wrote:
> On Mon, Jan 09, 2023 at 03:21:18PM +0100, Piergiorgio Beruto wrote:
> > On Mon, Jan 09, 2023 at 02:31:39PM +0100, Andrew Lunn wrote:
> > > Linux tends to ignore Marketing, because Marketing tends to change its
> > > mind every 6 months. Also, Linux ignores companies being bought and
> > > sold, changing their name. So this PHY will forever be called whatever
> > > name you give it here. The vitesse PHY driver is an example of
> > > this. They got bought by Microsemi, and then Microchip bought
> > > Microsemi. The PHY driver is still called vitesse.c.
> > > 
> > > How about using the legal name, 'ON Semiconductor
> > > Corporation'
> > That's perfectly clear Andrew, I can certainly see why Linux should
> > ignore marketing.
> > 
> > Sill, 'ON Semiconductor' is the old company name, the product datasheet can be
> > found at www.onsemi.com. I would honestly feel more comfortable using
> > the current company name. If you really want the first 'o' to be
> > capitalized, then so be it. Hopefully people will not notice :-)
> 
> I would prefer it was capitalised, to make it uniform with all the
> other entries.
I've just re-submitted the patches, fixing also a warning on a
multi-line comment w/o newline.

Thanks!
Piergiorgio